System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.LambdaExpression To be added.

When a lambda expression is assigned to a variable, field, or parameter whose type is , the compiler emits instructions to build an expression tree.

A conversion from a lambda expression to type Expression<D> (Expression(Of D) in Visual Basic) exists if a conversion from the lambda expression to a delegate of type D exists. However, the conversion may fail, for example, if the body of the lambda expression is a block. This means that delegates and expression trees behave similarly with regard to overload resolution.

The expression tree is an in-memory data representation of the lambda expression. The expression tree makes the structure of the lambda expression transparent and explicit. You can interact with the data in the expression tree just as you can with any other data structure.

The ability to treat expressions as data structures enables APIs to receive user code in a format that can be inspected, transformed, and processed in a custom manner. For example, the vbtecdlinq data access implementation uses this facility to translate expression trees to Transact-SQL statements that can be evaluated by the database.

Many standard query operators defined in the class have one or more parameters of type .

The of an is .

Use the or method to create an object.

Represents a strongly typed lambda expression as a data structure in the form of an expression tree. This class cannot be inherited.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression `` To be added. To be added. To be added. To be added.
- Method
  3.5.0.0
  4.0.0.0
  TDelegate

  The method produces a delegate of type at runtime. When that delegate is executed, it has the behavior described by the semantics of the .

  The method can be used to obtain the value of any expression tree. First, create a lambda expression that has the expression as its body by using the method. Then call to obtain a delegate, and execute the delegate to obtain the value of the expression.

  Compiles the lambda expression described by the expression tree into executable code and produces a delegate that represents the lambda expression.

  A delegate of type that represents the compiled lambda expression described by the .

- Method
  4.0.0.0
  TDelegate `` To be added.

  Produces a delegate that represents the lambda expression.

  A delegate containing the compiled version of the lambda.

  Debugging information generator used by the compiler to mark sequence points and annotate local variables.
- Method
  4.0.0.0
  System.Linq.Expressions.Expression<TDelegate> `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result. The property of the result.